package com.dgtly;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.scheduling.annotation.EnableAsync;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

@SpringBootApplication(exclude = { DataSourceAutoConfiguration.class })
@EnableSwagger2
@EnableAsync
public class ApiApplication {




    public static void main(String[] args)
    {
        SpringApplication.run(ApiApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  Api系统启动成功   ლ(´ڡ`ლ)ﾞ  \n" +
                " _____    _____  _______  _   __     __        ____   _   _  ______  _____    ____   _____  _______         _      \n" +
                "|  __ \\  / ____||__   __|| |  \\ \\   / /       / __ \\ | \\ | ||  ____||  __ \\  / __ \\ |  __ \\|__   __| /\\    | |     \n" +
                "| |  | || |  __    | |   | |   \\ \\_/ /______ | |  | ||  \\| || |__   | |__) || |  | || |__) |  | |   /  \\   | |     \n" +
                "| |  | || | |_ |   | |   | |    \\   /|______|| |  | || . ` ||  __|  |  ___/ | |  | ||  _  /   | |  / /\\ \\  | |     \n" +
                "| |__| || |__| |   | |   | |____ | |         | |__| || |\\  || |____ | |     | |__| || | \\ \\   | | / ____ \\ | |____ \n" +
                "|_____/  \\_____|   |_|   |______||_|          \\____/ |_| \\_||______||_|      \\____/ |_|  \\_\\  |_|/_/    \\_\\|______|\n "+
                "\n"+
                "(♥◠‿◠)ﾉﾞ 通誉企业云平台  ლ(´ڡ`ლ)ﾞ"
        );
    }
}
