package test;


import com.alibaba.fastjson.JSONObject;
import com.dgtly.ApiApplication;
import com.dgtly.system.domain.CustomersExt;
import com.dgtly.system.domain.SysUser;
import com.dgtly.wxportal.service.ESignService;
import com.dgtly.wxportal.service.IEsignOrganRealVerifyService;
import com.dgtly.wxportal.service.IEsignPersonRealnVerifyService;
import com.dgtly.wxportal.service.IEsignSignService;
import com.dgtly.wxportal.utils.ESign.ESignHttpUtil;
import com.dgtly.wxportal.utils.ESign.ESignUploadUtil;
import com.dgtly.wxportal.utils.ESign.ESignUrl;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.io.*;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.HashSet;
import java.util.Set;

@RunWith(SpringRunner.class)
@SpringBootTest(classes=ApiApplication.class)
public class MyTest {

    @Autowired
    private IEsignPersonRealnVerifyService personRealnVerifyService;
    @Autowired
    private IEsignOrganRealVerifyService organRealVerifyService;
    @Autowired
    private ESignHttpUtil eSignHttpUtil;
    @Autowired
    private ESignService eSignService;
    @Autowired
    private IEsignSignService signService;
    @Test
    public void test() throws Exception {


        //创建文件
       /* SysUser user = new SysUser();
        user.setUserName("乔小明");
        user.setLoginName("qiaoxiaoming4");
        int result = eSignService.createPersonalAccount(user);*/


//        CustomersExt customersExt = new CustomersExt();
//        customersExt.setChainsCode("qiaoxiaomingqiye");
//        customersExt.setCreator("7303abf8d1e54308a889ee61db2639da");
//        customersExt.setCustomersName("乔小明企业");
//
//        CustomersExt result = eSignService.createThirdParty(customersExt);


        //创建文件
//        String s = eSignService.upload("D:/SZSM/工作交接表.docx");
        /*个人认证*/
//        String s = personRealnVerifyService.personRealnVerify("7303abf8d1e54308a889ee61db2639da");
        /*企业认证*/
        String s = organRealVerifyService.organRealVerify("60b47892094143be9288bcfa6d5ab697","7303abf8d1e54308a889ee61db2639da");

        /** 一步发起签署
         *
         * 最基本信息发起签署流程
         *
         * 1、流程基本信息（是否自动归档，默认false。--autoArchive，文件主题-businessScene）
         * 2、待签文档信息（文档id-fileId、文件名称-fileName）
         *
         *
         * copierAccountId 抄送人id
         * fileId 文档id
         * fileName 文件名称
         * signerAccountId 签署操作人个人账号标识，即操作本次签署的个人注：平台用户自动签署时，该参数需要传入签署主体账号id*/
//        String s = signService.oneStepFlow("测试一部签署","f6ada0144a464d7bb90224104d1c4ca3","合同.pdf","7303abf8d1e54308a889ee61db2639da","7303abf8d1e54308a889ee61db2639da");
        /*开启签署流程*/
//        String s = signService.processStart("456e7367066f406b8d62fcd25f65e793");
//        /*获取签署地址*/
//        String s = signService.processExecuteUrl("456e7367066f406b8d62fcd25f65e793","7303abf8d1e54308a889ee61db2639da","6cad4e8a08c34711853ba96973ecf24d");
        /*查询流程签署列表人*/
//        String s = signService.processExecuteSigners("7ea59df3f2384bf882b0f37d9cb8c0b1");
//        /*流程归档*/
//        String s = signService.processArchiv("0cee5f3db6f8411b9cdefb1c7175cfaf");
        /*签署文件下载*/
//        String s = signService.processDocumentDownload("c35e714481bb4a0288a81cf94bc3508e");

//        getURLResource("E:\\测试.pdf","https://esignoss.esign.cn/1111563786/19a14aab-b5d7-405c-a58d-55c337310803/%E5%90%88%E5%90%8C.pdf?Expires=1603179315&OSSAccessKeyId=LTAIdvHfiVrzDKbE&Signature=dl3hGcJ3HQ5%2FDTTN5%2F0UPajobyw%3D");

        System.out.println(s);
        System.out.println("111111");

    }

    public static void getURLResource(String ourputFile,String urlStr) throws Exception {

        FileWriter fw = new FileWriter(ourputFile);

        PrintWriter pw = new PrintWriter(fw);

        URL resourceUrl = new URL(urlStr);

        InputStream content = (InputStream) resourceUrl.getContent();

        BufferedReader in = new BufferedReader(new InputStreamReader(content));

        String line;

        while ((line = in.readLine()) != null) {

            pw.println(line);

        }

        pw.close();

        fw.close();
    }



}
