package com.dgtly.wxportal.domain;

import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 订单签收文件对象 ssb_order_file
 * 
 * @author qxm
 * @date 2020-10-15
 */
public class OrderFile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 订单id */
    @Excel(name = "订单id")
    private String orderId;

    /** 经销商代号 */
    @Excel(name = "经销商代号")
    private String chainsCode;

    /**经销商名称*/
    private String chainsName;

    /** 经销商id */
    @Excel(name = "经销商id")
    private String customersCode;

    /** 签收人id */
    @Excel(name = "签收人id")
    private String signerId;

    /** 签收人名称id */
    @Excel(name = "签收人名称")
    private String signerName;

    /** 签署流程id */
    @Excel(name = "签署流程id")
    private String flowId;

    /** 签署文件url */
    @Excel(name = "签署文件url")
    private String fileUrl;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private String isDelete;

    public void setOrderId(String orderId) 
    {
        this.orderId = orderId;
    }

    public String getOrderId() 
    {
        return orderId;
    }
    public void setFlowId(String flowId) 
    {
        this.flowId = flowId;
    }

    public String getFlowId() 
    {
        return flowId;
    }
    public void setFileUrl(String fileUrl) 
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl() 
    {
        return fileUrl;
    }
    public void setIsDelete(String isDelete) 
    {
        this.isDelete = isDelete;
    }

    public String getIsDelete() 
    {
        return isDelete;
    }

    public String getCustomersCode() {
        return customersCode;
    }

    public void setCustomersCode(String customersCode) {
        this.customersCode = customersCode;
    }

    public String getSignerId() {
        return signerId;
    }

    public void setSignerId(String signerId) {
        this.signerId = signerId;
    }

    public String getSignerName() {
        return signerName;
    }

    public void setSignerName(String signerName) {
        this.signerName = signerName;
    }

    public String getChainsCode() {
        return chainsCode;
    }

    public void setChainsCode(String chainsCode) {
        this.chainsCode = chainsCode;
    }

    public String getChainsName() {
        return chainsName;
    }

    public void setChainsName(String chainsName) {
        this.chainsName = chainsName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("orderId", getOrderId())
            .append("flowId", getFlowId())
            .append("fileUrl", getFileUrl())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDelete", getIsDelete())
            .toString();
    }
}
