package com.dgtly.wxportal.config;

import com.dgtly.wxportal.utils.ESign.ESignToken;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

@Component
public class ESignConfig {

    @Value(value = "${esign.appId:none}")
    private String appId;

    @Value(value = "${esign.appSecret:none}")
    private String appSecret;

    @Value(value = "${esign.serviceUrl:none}")
    private String eSignServiceUrl ;
    private ESignToken eSignToken;

    @Value(value = "${esign.personNotifyUrl:none}")
    private String personNotifyUrl ;

    @Value(value = "${esign.organNotifyUrl:none}")
    private String organNotifyUrl ;

    @Value(value = "${esign.signSuccessUrl:none}")
    private String signSuccessUrl ;
    @Value(value = "${esign.fileUrl:none}")
    private String fileUrl;
    @Bean
    public ESignToken eSignTokenUtil(){
        ESignToken eSignToken =  new ESignToken();
        this.eSignToken = eSignToken;
        return eSignToken;
    }

    public String getAppId() {
        return appId;
    }

    public String getAppSecret() {
        return appSecret;
    }

    public String geteSignServiceUrl() {
        return eSignServiceUrl;
    }

    public ESignToken geteSignToken() {
        return eSignToken;
    }

    public String getPersonNotifyUrl() {
        return personNotifyUrl;
    }

    public String getOrganNotifyUrl() {
        return organNotifyUrl;
    }

    public String getSignSuccessUrl() {
        return signSuccessUrl;
    }

    public String getFileUrl(){
        return fileUrl;
    }
}
