package com.dgtly.wxportal.service;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.dgtly.system.domain.CustomersExt;
import com.dgtly.system.domain.SysUser;
import org.springframework.stereotype.Service;

/**
 * @author ZhangDing
 * @version 1.0
 * @descption: TODO
 * @company 神州数码通用软件（洛阳）有限公司
 * @copyright (c) 2019 LuoYang DGT Co'Ltd Inc. All rights reserved.
 * @date 2020-10-10 11:26
 * @since JDK1.8
 */
public interface ESignService {
    /**
     * @descption:
     * @param:
     * @return:
     * @auther: ZhangDing
     * @date: 2020-10-10 11:31
     */
     String upload(String orderId);


     String verificationUser();

     /**
      * @descption: 个人注册，存储信息
      * @param:
      * @return:
      * @auther: ZhangDing
      * @date: 2020-10-12 15:46
      */
     SysUser createPersonalAccount (SysUser user);

     /**
      * @descption: 经销商注册，存储信息
      * @param:
      * @return:
      * @auther: ZhangDing
      * @date: 2020-10-12 15:46
      */
     CustomersExt createThirdParty (CustomersExt customersExt);

     /**
      * @descption: 修改e签宝个人信息
      * @param:
      * @return:
      * @auther: ZhangDing
      * @date: 2020-10-13 9:47
      */
     int updatePersonalAccount (SysUser user);

     /**
      * @descption: 修改e签宝公司信息
      * @param:
      * @return:
      * @auther: ZhangDing
      * @date: 2020-10-13 9:47
      */
     int updateThirdParty(CustomersExt customersExt);


    }
